/* Reset */
* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}

/* Variables */
:root {
    --main-color: #afba46;
    --main-text-color: #fff;
    --border-color: #fff;
    --bio-background-color: #1E2A3A;
    --bio-border-color: #293544;
    --about-background-color: #111821;
}

/* General */
.heighlight {
    color: var(--main-color);
}

/* Container */
#container {
    display: flex;
    flex-direction: row;
    color: var(--main-text-color)
}

#bio-container {
    flex: 1 1 20%;
    min-height: 100vh;
    /*Pegando a tela toda*/
    background-color: var(--bio-background-color);
    text-align: center;
    padding: 30px 15px;
    border-radius: 5px solid var(--bio-border-color);
}

#about-container {
    flex: 1 1 80%;
    min-height: 100vh;
    background-color: var(--about-background-color);
    padding: 50px;
}

/* Bio container */
#bio-container h2 {
    margin-bottom: 25px;
}

#bio-container p {
    margin-bottom: 20px;
}

#bio-image {
    width: 175px;
    height: 175px;
    border-radius: 50%;
    border: 5px solid var(--main-color);
    margin-bottom: 25px;
}

#bio-container #welcome-text {
    font-weight: bold;
}

#social-container {
    display: flex;
    justify-content: center;
    list-style: none;
    border-bottom: 1px solid var(--border-color);
    margin-bottom: 25px;
    padding-bottom: 25px;
}

#social-container li {
    flex: 1 1 0;
    max-width: 60px;
}

#social-container li a {
    color: var(--main-color);
    font-size: 30px;
}

#email-container {
    display: flex;
    justify-content: center;
  }
  
  #email-container ion-icon,
  #email-container a {
    flex: 1 1 0;
  }
  
  #email-container a {
    color: var(--main-text-color);
    text-decoration: none;
    max-width: 225px;
  }
  
  #email-container ion-icon {
    color: var(--main-color);
    font-size: 20px;
    margin-right: 5px;
    max-width: 20px;
  }

  
/* about container */
#name {
    font-size: 42px;
    margin-bottom: 15px;
  }
  
  #title {
    font-size: 24px;
    margin-bottom: 15px;
    font-weight: bold;
  }
  
  .description {
    max-width: 75%;
    margin-bottom: 10px;
  }
  
  #btn-project {
    font-weight: bold;
    font-size: 16px;
    color: var(--main-text-color);
    background-color: var(--main-color);
    border: 2px solid var(--main-color);
    border-radius: 5px;
    text-decoration: none;
    transition: .5s;
    margin: 25px 0;
    padding: 12px 10px;
    width: 150px;
    text-align: center;
    display: flex;
  }
  
  #btn-project ion-icon,
  #btn-project span {
    flex: 1 1 0;
  }
  
  #btn-project ion-icon {
    font-size: 20px;
    max-width: 20px;
  }
  
  #btn-project:hover {
    background-color: transparent;
  }
  
  #skills-section-title {
    border-top: 1px solid var(--border-color);
    padding-top: 20px;
    margin-bottom: 20px;
    font-size: 32px;
  }
  
  #skills-container {
    display: flex;
    flex-wrap: wrap;
    margin-top: 25px;
  }
  
  .skills-box {
    flex: 1 1 33%;
    max-width: 33%;
    margin-bottom: 35px;
  }
  
  .skills-title {
    font-size: 24px;
    margin-bottom: 25px;
    font-weight: bold;
    padding-left: 10px;
    border-left: 5px solid var(--main-color);
  }
  
  .skills-box i {
    font-size: 45px;
    margin-right: 10px;
  }

  /* Mobile */
@media(max-width: 450px) {

    #container {
      flex-direction: column;
    }
  
    #bio-container {
      min-height: auto;
      border-right: none;
      border-bottom: 5px solid var(--bio-border-color);
    }
  
    #bio-container h2 {
      display: none;
    }
  
    #bio-container p {
      max-width: 60%;
      margin: 10px auto;
    }
  
    #about-container {
      text-align: center;
      padding: 30px;
    }
  
    #about-container .description {
      margin: 10px auto;
      max-width: 100%;
      line-height: 26px;
    }
  
    #btn-project {
      margin: 20px auto;
    }
  
    .skills-box {
      flex: 1 1 100%;
      max-width: 100%;
      margin-bottom: 40px;
      text-align: left;
    }
  
    .skills-box i {
      font-size: 60px;
    }
  
  }